# influxdb_write – Write data points into InfluxDB

New in version 2.5.

- Synopsis

- Requirements

- Parameters

- Examples

- Status

## Synopsis

- Write data points into InfluxDB.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6

- influxdb >= 0.9

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
data_points list / elements=dictionary / required |  | Data points as dict to write into the database.
database_name string / required |  | Name of the database.
hostname string | Default: "localhost" | The hostname or IP address on which InfluxDB server is listening. Since Ansible 2.5, defaulted to localhost.
password string | Default: "root" | Password that will be used to authenticate against InfluxDB server. Alias `login_password` added in Ansible 2.5. aliases: login_password
port integer | Default: 8086 | The port on which InfluxDB server is listening
proxies dictionary added in 2.5 |  | HTTP(S) proxy to use for Requests to connect to InfluxDB server.
retries integer added in 2.5 | Default: 3 | Number of retries client will try before aborting. `0` indicates try until success.

ssl
boolean
added in 2.5

Choices:
- no
- yes

Use https instead of http to connect to InfluxDB server.

timeout integer added in 2.5 |  | Number of seconds Requests will wait for client to establish a connection.
udp_port integer added in 2.5 | Default: 4444 | UDP port to connect to InfluxDB server.

use_udp
boolean
added in 2.5

Choices:
- no
- yes

Use UDP to connect to InfluxDB server.

username string | Default: "root" | Username that will be used to authenticate against InfluxDB server. Alias `login_username` added in Ansible 2.5. aliases: login_username

validate_certs
boolean
added in 2.5

Choices:
- no
- yes ←

If set to `no`, the SSL certificates will not be validated.
This should only set to `no` used on personally controlled sites using self-signed certificates.

## Examples

    - name: Write points into database
      influxdb_write:
          hostname: "{{influxdb_ip_address}}"
          database_name: "{{influxdb_database_name}}"
          data_points:
            - measurement: connections
              tags:
                host: server01
                region: us-west
              time: "{{ ansible_date_time.iso8601 }}"
              fields:
                value: 2000
            - measurement: connections
              tags:
                host: server02
                region: us-east
              time: "{{ ansible_date_time.iso8601 }}"
              fields:
                value: 3000

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- René Moser (@resmo)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.